<?php use_helper('Date') ?>
<?php use_stylesheet('cahier_liaison.css') ?>
<?php use_stylesheet('message.css') ?>
<?php use_javascript('jquery.tools.min.js') ?>
<?php use_stylesheet('jquery.treeview.css') ?>
<?php use_javascript('tree/jquery.cookie.js') ?>
<?php use_javascript('tree/jquery.treeview.js') ?>
<script type="text/javascript">
$(document).ready(function(){
        $("#navigation").treeview({
                persist: "location",
                collapsed: true,
                open: 'close',
                unique: false
        });
        $("#mies1").overlay({expose: {
                color: '#a6c1d2',
                opacity: '0.6',
                loadSpeed: 200
            },  top: "center"});
});
function changeContent(psData, pnId) {
  if (psData['lu']) {
    messageLu(pnId);
  }    
  $("#overlay_message_head_from").html('<u>De :</u> '+psData['from']);
  $("#overlay_message_head_to").html('<u>A :</u> '+psData['to']);
  $("#overlay_message_head_sujet").html('<u>Sujet :</u> '+psData['sujet']);
  $("#overlay_message_contenu").html(psData['message']);
}
function displayMessage(pnIdMessage) {
    if ($("#abu_message_corps_"+pnIdMessage).is(":visible")) {
     $("#abu_message_corps_"+pnIdMessage).hide();   
    } else {
     $("#abu_message_corps_"+pnIdMessage).show();  
     messageLu(pnIdMessage);
    }
}
function messageLu(pnId) { 
  if ($("#abu_message_bloc_"+pnId).hasClass('abu_message_bloc_non_lu')) {
      $.ajax({
           type: "POST",
           url: "<?php echo url_for('moncahierliaison/checkMessageAjax') ?>",
           dataType: "json",
           async: false,
           data: "idMessage="+pnId,
           success: function(sData){
            $("#abu_message_bloc_"+pnId).removeClass('abu_message_bloc_non_lu');
            $("#abu_message_lu_"+pnId).html('<?php echo image_tag('mail-open.png') ?>');              
           },
           error: function (sData) {
               alert('Error server');
           }
      });      
  }
}
function openMessage(pnId, pnActions) {
  $.ajax({
       type: "POST",
       url: "<?php echo url_for('moncahierliaison/getMessageAjax') ?>",
       dataType: "json",
       async: false,
       data: "idMessage="+pnId,
       success: function(sData){
          changeContent(sData, pnId);
       },
       error: function (sData) {
           alert('Error server');
       }
  });
  if (pnActions == 1) {
      sHref = $("#abu_add_message_"+pnId).attr("href");
      $("#overlay_message_actions").html("<a href='"+sHref+"'>Répondre à ce message</a>");
  }
  $("#mies1").overlay().load();  
}
function chercher() {  
  sLocation = '<?php echo url_for('@messagerie') ?>'+'?search_messagerie='+$('#search_messagerie').val();
  $(location).attr('href', sLocation);  
}
</script>
<div class="overlay_message" id="mies1">
    <div class="overlay_message_display">
        <div class="overlay_message_head">
            <div id="overlay_message_head_from"></div>
            <div id="overlay_message_head_to"></div>
            <div id="overlay_message_head_sujet"></div>
        </div>
        <div class="overlay_message_corps">
          <div id="overlay_message_contenu"></div>
        </div>
        <div id="overlay_message_actions">
        </div>
    </div>
</div>
<div class="abu_bloc_action">  
  <ul id="abu_message_action">     
    <li class="<?php echo $sLabel==sfConfig::get('app_messagerie_label_default')?'select_label':'' ?>">
       <?php echo link_to('Boite de réception', '@messagerie?label='.sfConfig::get('app_messagerie_label_default')); ?>
    </li>
    <li class="<?php echo $sLabel==sfConfig::get('app_messagerie_label_cahier')?'select_label':'' ?>">
       <?php echo link_to('Message cahier liaison', '@messagerie?label='.sfConfig::get('app_messagerie_label_cahier')); ?>
    </li>        
    <li class="<?php echo $sLabel==sfConfig::get('app_messagerie_label_send')?'select_label':'' ?>">
       <?php echo link_to('Messages envoyés', '@messagerie?label='.sfConfig::get('app_messagerie_label_send')); ?>
    </li>
    <li>
      <div class="abu_search_message <?php echo $sLabel == sfConfig::get('app_messagerie_label_search') ? 'select_label' : '' ?>">          
        <label>Rechercher : </label><input id="search_messagerie" name="search_messagerie" type="text" value="<?php echo isset($search_messagerie)?$search_messagerie:'' ?>"/>            
        <a href="#" onClick="chercher()"><?php echo image_tag('loupe.png') ?></a>
      </div>
    </li>
  </ul>
</div>  
<div class="abu_messagerie">
    <div class="abu_messages_top">
      <div class="abu_add_message">
          <?php echo link_to(' Nouveau message','message/new', array('id' => 'abu_add_message')); ?>
      </div>   
    </div>
    <div class="abu_messages_list">
      <?php if (isset($pager)): ?>
        <?php $oMessages = $pager->getResults() ?>
        <ul id="navigation">
        <?php $nUser = $sf_user->getId(); ?>
        <?php $prevLevel = 0;?>
        <?php foreach($oMessages as $oMessage): ?>                
            <?php if($prevLevel > 0): ?>
                <?php echo str_repeat('</li></ul>', $prevLevel);
                      $prevLevel = 0; ?>
            <?php endif ?>
            <?php $LevelRoot = 0;?>        
            <?php include_partial('messagecorps', array('record' => $oMessage, 'LevelRoot' => $LevelRoot, 'prevLevel' => $prevLevel, 'nUser' => $nUser, 'sDisplay' => $sTypeDisplay)) ?>                
            <?php $prevLevel = 0; ?>
            <?php $LevelRoot++;?>
            <?php if ($sLabel == sfConfig::get('app_messagerie_label_default') || $sLabel == sfConfig::get('app_messagerie_label_cahier')): ?>                
                <?php if ($oMessage->getNode()->getDescendants()): ?>
                  <?php foreach ($oMessage->getNode()->getDescendants() as $record): ?>        
                    <?php include_partial('messagecorps', array('record' => $record, 'LevelRoot' => $LevelRoot, 'prevLevel' => $prevLevel, 'nUser' => $nUser, 'sDisplay' => $sTypeDisplay)) ?>        
                    <?php $prevLevel = $record['level']; ?>
                    <?php $LevelRoot++;?>
                  <?php endforeach; ?>
                <?php endif; ?>
            <?php endif; ?>
        <?php endforeach; ?>
            <?php if($prevLevel > 0): ?>
                <?php echo str_repeat('</li></ul>', $prevLevel);
                      $prevLevel = 0; ?>
            <?php endif ?>
        </ul>
        <?php if ($pager->haveToPaginate()): ?>
          <div class="abu_pagination">
              <ul>
                  <li>
                    <a href="<?php echo url_for('messagerie', $message) ?>?page=1">
                    <img src="/images/first.png" alt="First page" title="First page" />
                    </a>
                  </li>
                  <li>
                  <a href="<?php echo url_for('messagerie', $message) ?>?page=<?php echo $pager->getPreviousPage() ?>">
                    <img src="/images/previous.png" alt="Previous page" title="Previous page" />
                  </a>
                  </li>
            <?php foreach ($pager->getLinks() as $page): ?>
              <?php if ($page == $pager->getPage()): ?>
                  <li>
                    <span style="font-size: 14px;"><?php echo $page ?></span>
                  </li>
              <?php else: ?>
                <li>
                <a class="abu_pagination_chiffre" href="<?php echo url_for('messagerie', $message) ?>?page=<?php echo $page ?>"><?php echo $page ?></a>
                </li>
              <?php endif; ?>
            <?php endforeach; ?>
                <li>
            <a href="<?php echo url_for('messagerie', $message) ?>?page=<?php echo $pager->getNextPage() ?>">
              <img src="/images/next.png" alt="Next page" title="Next page" />
            </a>
                </li>
                <li>
                    <a href="<?php echo url_for('messagerie', $message) ?>?page=<?php echo $pager->getLastPage() ?>">
                      <img src="/images/last.png" alt="Last page" title="Last page" />
                    </a>
                </li>
              </ul>
          </div>
        <?php endif; ?>
      <?php endif; ?>
    </div>
    <div class="abu_messages_bottom">
    </div>    
</div>