<?php use_helper('Date') ?>
<?php use_stylesheet('cahier_texte.css') ?>
<script type="text/javascript">
    $(document).ready(function(){
        <?php if ($sJour == ''): ?> 
        $('.abu_cahier_texte_page').click(function() {         
            sHref = "<?php echo url_for('moncahiertexte/index?jour=lundi') ?>";
            document.location.href = sHref;
        });
        <?php endif; ?>
    });
</script>
<h2><?php echo $oCahier->getLib() ?></h2>
<div class="abu_cahier_texte_bord_haut">
</div>
<div class="abu_devoirs_list">    
    <div class="abu_cahier_texte_page  <?php echo $sJour==""?"abu_cahier_texte_accueil":""; ?>">
    <div class="abu_cahier_texte_contenu" >
    <?php if ($sJour != ''): ?>            
        <div class="abu_add_devoir"><?php echo link_to(' Nouveau devoir','devoirs/new?id_cahier='.$oCahier->getId().'&jour='.$sJour, array('id' => 'abu_add_devoir')); ?></div>
  <?php if (isset($pager)): ?>
    <?php $oDevoirs = $pager->getResults() ?>
    <?php foreach($oDevoirs as $oDevoir): ?>
        <div <?php if ($oDevoir->getIsClosed()):
                echo 'class="abu_devoir_termine"';
              else:
                echo 'class="abu_devoir"';
              endif; ?>>
          <div class="abu_devoir_date">
              <div class="abu_devoir_date_mois"><?php echo substr(format_date($oDevoir->getDateDevoir(),  'MMMM', 'fr'),0, 3) ?></div>
              <div class="abu_devoir_date_jour"><?php echo format_date($oDevoir->getDateDevoir(),  'dd', 'fr') ?></div>
          </div>
          <div class="abu_devoir_description"><?php echo sfOutputEscaper::unescape(nl2br($oDevoir->getDevoir())) ?></div>
          <?php if (!($bGroupe == false && $nCahierGroupe == $oDevoir->getIdCahierTexte())): ?>
          <p style="text-align: right">
              <a href="<?php echo url_for('devoirs/edit?id='.$oDevoir->getId().'&id_cahier='.$oCahier->getId().'&jour='.$sJour) ?>" title="Modifier le devoir" id='abu_edit_devoir_<?php echo $oDevoir->getId() ?>'><?php echo image_tag('edit.png') ?></a>
              <?php echo link_to(image_tag('supprimer_2.png'),'devoirs/delete?id='.$oDevoir->getId().'&id_cahier='.$oCahier->getId().'&jour='.$sJour, array('confirm' => 'Etes vous sur de supprimer ce devoir ?',  'title' => 'Supprimer le devoir')) ?>
              <a href="<?php echo url_for('devoirs/terminer?id='.$oDevoir->getId().'&id_cahier='.$oCahier->getId().'&terminer='.!$oDevoir->getIsClosed()) ?>"  title="Devoir terminé"><?php echo image_tag('valid.png') ?></a>              
          </p>
          <?php endif; ?>
        </div>
    <?php endforeach; ?>
    <?php if ($pager->haveToPaginate()): ?>
      <?php $sParamJour = "&jour=".$sJour ?>
      <div class="abu_pagination">
          <ul>
              <li>
                <a href="<?php echo url_for('cahier_texte', $devoir) ?>?page=1"<?php echo $sParamJour?>>
                <img src="/images/first.png" alt="First page" title="First page" />
                </a>
              </li>
              <li>
              <a href="<?php echo url_for('cahier_texte', $devoir) ?>?page=<?php echo $pager->getPreviousPage() ?><?php echo $sParamJour?>">
                <img src="/images/previous.png" alt="Previous page" title="Previous page" />
              </a>
              </li>
        <?php foreach ($pager->getLinks() as $page): ?>
          <?php if ($page == $pager->getPage()): ?>
              <li>
                <span style="font-size: 14px;"><?php echo $page ?></span>
              </li>
          <?php else: ?>
            <li>
            <a class="abu_pagination_chiffre" href="<?php echo url_for('cahier_texte', $devoir) ?>?page=<?php echo $page ?><?php echo $sParamJour?>"><?php echo $page ?></a>
            </li>
          <?php endif; ?>
        <?php endforeach; ?>
            <li>
        <a href="<?php echo url_for('cahier_texte', $devoir) ?>?page=<?php echo $pager->getNextPage() ?><?php echo $sParamJour?>">
          <img src="/images/next.png" alt="Next page" title="Next page" />
        </a>
            </li>
            <li>
                <a href="<?php echo url_for('cahier_texte', $devoir) ?>?page=<?php echo $pager->getLastPage() ?><?php echo $sParamJour?>">
                  <img src="/images/last.png" alt="Last page" title="Last page" />
                </a>
            </li>
          </ul>
      </div>
    <?php endif; ?>
  <?php endif; ?>
    <?php endif; ?>
    </div>        
    <div class="abu_cahier_texte_jour color_jour_<?php echo $sJour ?>">
        <ul id="nav_jour">
            <?php foreach($oJours as $oJour): ?>
                <li <?php if ($oJour->getLib() == $sJour) echo 'class="abu_jour_select"' ?>>
                    <?php echo link_to(image_tag($oJour->getLib().'.png'), 'moncahiertexte/index?jour='.$oJour->getLib()) ?>
                </li>
            <?php endforeach; ?>            
        </ul>
    </div>    
  </div>
  <?php if ($sJour == ""): ?>
  <div class="abu_cahier_texte_bord_bas">
  </div>    
  <?php endif; ?>
</div>
