<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <?php include_http_metas() ?>
    <?php include_metas() ?>
    <?php include_title() ?>
    <link rel="shortcut icon" href="/favicon.ico" />
    <?php include_stylesheets() ?>
    <?php include_javascripts() ?>
  </head>
<script type="text/javascript">
    $(document).ready(function(){
        $('#abu_titre').click(function() {         
            sHref = "<?php echo url_for('@homepage') ?>";
            document.location.href = sHref;
        });
    });
</script>
  <body>
    <?php include_component('main', 'CheckNavigateur') ?>
    <div id="conteneur">        
      <div class="abu_bandeau">
          <div class="abu_menu">
              <div id="abu_titre">
              </div>
            <?php if ($sf_user->isAuthenticated()): ?>              
              <div class="abu_qui">
                  <h1>
                      Bonjour <?php echo ucwords($sf_user->getGuardUser()->getFirstName()).' '.$sf_user->getGuardUser()->getLastName() ?>
                      <?php if ($sf_user->hasGroup('eleves')): ?>
                        (Elève)
                      <?php elseif ($sf_user->hasGroup('enseignants')): ?>                      
                        (Enseignant)
                      <?php elseif ($sf_user->hasGroup('responsable-legal')): ?>
                        (Parent d'élève)
                      <?php elseif ($sf_user->isSuperAdmin() == false &&  $sf_user->hasCredential('admin_domaine')): ?>
                        (Admin)
                      <?php elseif ($sf_user->hasCredential('admin')): ?>
                        (Super Admin)
                      <?php endif; ?>
                  </h1>
              </div>
              <div id="abu_nav">
              <ul>
                <?php if ($sf_user->hasCredential('admin')): ?>
                  <?php $aUtilisateur = array ('sfGuardUser', 'sfGuardPermission' ,'sfGuardGroup'); ?>
                  <li <?php echo in_array($sf_params->get('module'), $aUtilisateur)?'class="abu_menu_active"':''?>><label>Utilisateurs</label>
                      <ul>
                          <li><?php echo link_to('Comptes utilisateurs', 'sfGuardUser/index') ?></li>
                          <li><?php echo link_to('Permissions', 'sfGuardPermission/index') ?></li>
                          <li> <?php echo link_to('Groupes de permissions', 'sfGuardGroup/index') ?></li>
                          <li <?php echo $sf_params->get('module')=="domaine"?'class="abu_menu_active"':''?>> <?php echo link_to('Domaines', 'domaine/index') ?></li>
                      </ul>
                  </li>
                <?php endif; ?>
                <?php if ($sf_user->isSuperAdmin() == false && $sf_user->hasCredential('admin_domaine')): ?>
                  <?php $aUtilisateur = array ('sfGuardUser', 'groupeclasse'); ?>
                  <li <?php echo in_array($sf_params->get('module'), $aUtilisateur)?'class="abu_menu_active"':''?>><label class='menu_icone_user'>Utilisateurs</label>
                      <ul>
                        <li <?php echo $sf_params->get('module')=="sfGuardUser"?'class="abu_menu_active"':''?>><?php echo link_to('Comptes utilisateurs', 'sfGuardUser/index') ?></li>
                        <li <?php echo $sf_params->get('module')=="groupeclasse"?'class="abu_menu_active"':''?>> <?php echo link_to('Groupes (classes)', 'groupeclasse/index') ?></li>                        
                      </ul>
                  </li>
                  <li <?php echo $sf_params->get('module')=="mamessagerie"?'class="abu_menu_active"':''?>> <?php echo link_to('Messagerie', 'mamessagerie/accueil', array('class' => 'menu_icone_mail')) ?></li>
                  <li <?php echo $sf_params->get('module')=="agenda"?'class="abu_menu_active"':''?>> <?php echo link_to('Agenda', 'agenda/accueil', array('class' => 'menu_icone_agenda')) ?></li>
                  <li <?php echo ($sf_params->get('module')=="cahiertexte" || $sf_params->get('module')=="moncahiertexte")?'class="abu_menu_active"':''?>> <?php echo link_to('Cahier de texte', '@tbl_cahier_texte', array('class' => 'menu_icone_cahier_texte')) ?></li>
                  <li <?php echo ($sf_params->get('module')=="cahierliaison" || $sf_params->get('module')=="moncahierliaison")?'class="abu_menu_active"':''?>> <?php echo link_to('Cahier de liaison', '@tbl_cahier_liaison', array('class' => 'menu_icone_cahier_liaison')) ?></li>
                <?php elseif ($sf_user->hasGroup('enseignants')): ?>
                  <li <?php echo $sf_params->get('module')=="mamessagerie"?'class="abu_menu_active"':''?>> <?php echo link_to('Messagerie', 'mamessagerie/accueil', array('class' => 'menu_icone_mail')) ?></li>
                  <li <?php echo $sf_params->get('module')=="agenda"?'class="abu_menu_active"':''?>> <?php echo link_to('Agenda', 'agenda/accueil', array('class' => 'menu_icone_agenda')) ?></li>
                  <li <?php echo ($sf_params->get('module')=="cahiertexte" || $sf_params->get('module')=="moncahiertexte")?'class="abu_menu_active"':''?>> <?php echo link_to('Cahier de texte', '@tbl_cahier_texte', array('class' => 'menu_icone_cahier_texte')) ?></li>
                  <li <?php echo ($sf_params->get('module')=="cahierliaison" || $sf_params->get('module')=="moncahierliaison")?'class="abu_menu_active"':''?>> <?php echo link_to('Cahier de liaison', '@tbl_cahier_liaison', array('class' => 'menu_icone_cahier_liaison')) ?></li>
                <?php endif; ?>
                <?php if ($sf_user->hasGroup('responsable-legal')): ?>
                  <li <?php echo $sf_params->get('module')=="mamessagerie"?'class="abu_menu_active"':''?>> <?php echo link_to('Messagerie', 'mamessagerie/accueil', array('class' => 'menu_icone_mail')) ?></li>
                  <li <?php echo $sf_params->get('module')=="agenda"?'class="abu_menu_active"':''?>> <?php echo link_to('Agenda', 'agenda/accueil', array('class' => 'menu_icone_agenda')) ?></li>
                  <li <?php echo $sf_params->get('module')=="moncahiertexte"?'class="abu_menu_active"':''?>> <?php echo link_to('Cahier de texte', 'moncahiertexte/listRespLegal', array('class' => 'menu_icone_cahier_texte')) ?></li>
                  <li <?php echo $sf_params->get('module')=="moncahierliaison"?'class="abu_menu_active"':''?>> <?php echo link_to('Cahier de liaison', 'moncahierliaison/listRespLegal', array('class' => 'menu_icone_cahier_liaison')) ?></li>
                <?php endif; ?>
                <?php if ($sf_user->hasGroup('eleves')): ?>
                  <li <?php echo $sf_params->get('module')=="moncahiertexte"?'class="abu_menu_active"':''?>> <?php echo link_to('Mon cahier de texte', '@cahier_texte', array('class' => 'menu_icone_cahier_texte')) ?></li>
                  <li <?php echo $sf_params->get('module')=="moncahierliaison"?'class="abu_menu_active"':''?>> <?php echo link_to('Mon cahier de liaison', '@cahier_liaison?accueil=1', array('class' => 'menu_icone_cahier_liaison')) ?></li>
                <?php endif; ?>
                  <li <?php echo ($sf_params->get('module')=="main" && $sf_params->get('action')=="plusOutils")?'class="abu_menu_active"':''?>><?php echo link_to('Plus d\'outils', 'main/plusOutils', array('class' => 'menu_icone_outils')) ?></li>
                <?php if ($sf_user->hasGroup('enseignants')): ?>
                  <li <?php echo ($sf_params->get('module')=="main" && $sf_params->get('action')=="monCompte")?'class="abu_menu_active"':''?>><?php echo link_to('Mon Compte', 'main/monCompte', array('class' => 'menu_icone_moncompte_enseignant')) ?></li>
                <?php else: ?>
                  <li <?php echo ($sf_params->get('module')=="main" && $sf_params->get('action')=="monCompte")?'class="abu_menu_active"':''?>><?php echo link_to('Mon Compte', 'main/monCompte', array('class' => 'menu_icone_moncompte')) ?></li>
                <?php endif; ?>
                <?php if ($_SERVER['SERVER_NAME'] == sfConfig::get('app_host_cas')):  ?> 
                  <li><?php echo link_to('&nbsp;', 'https://auth.abuledu.net/index.pl?logout=1', array('class' => 'menu_icone_deconnecter', 'title' => 'Se déconnecter')) ?></li>
                <?php else: ?>                  
                  <li><?php echo link_to('&nbsp;', '@sf_guard_signout', array('class' => 'menu_icone_deconnecter', 'title' => 'Se déconnecter')) ?></li>
                <?php endif; ?>                  
              </ul>
              </div>
            <?php else: ?>
              <div class="abu_qui">
                  <h1></h1>
              </div>              
            <?php endif; ?>
          </div>
      </div>
      <div id="contenant">
          <div class="abu_centre">
            <?php echo $sf_content ?>
              <?php if ($sf_params->get('module')=="main" && $sf_params->get('action')== 'arbre' && $sf_user->isAuthenticated()): ?>        
              <div id="margepied_arbre">                
                  <!-- ne pas enlever cette marge et laisser en dernier  -->
              </div>                            
              <?php else: ?>
              <div id="margepied">                
                  <!-- ne pas enlever cette marge et laisser en dernier  -->
              </div>              
              <?php endif; ?>
          </div>
      </div>
      <?php if ($sf_params->get('module')=="main" && $sf_params->get('action')== 'arbre' && $sf_user->isAuthenticated()): ?>
        <div class="arbre">
          <?php echo image_tag('arbre.png') ?>
        </div>
      <?php endif; ?>        
    </div>
    <div class="abu_foot">
      <div class="abu_copyright_left">
          <a href="https://redmine.ryxeo.com/projects/abuledu-ent">ent.abuledu.net</a> est un logiciel libre sous licence Affero AGPL 3
      </div>        
      <div class="abu_copyright">
          Ce service est fourni par <a href="http://www.ryxeo.com/AbulEdu-ENT.html" target="_blank">RyXeo SARL</a> et utilise de <a href="http://www.ryxeo.com/AbulEdu-ENT-Technique.html" target="_blank">nombreux logiciels libres</a>
      </div>
    </div>
<?php if (sfConfig::get('sf_environment') == "prod"): ?>
<!-- Piwik -->
<script type="text/javascript">
var pkBaseURL = (("https:" == document.location.protocol) ? "https://www.ryxeo.com/stats/" : "http://www.ryxeo.com/stats/");
document.write(unescape("%3Cscript src='" + pkBaseURL + "piwik.js' type='text/javascript'%3E%3C/script%3E"));
</script><script type="text/javascript">
try {
var piwikTracker = Piwik.getTracker(pkBaseURL + "piwik.php", 12);
piwikTracker.trackPageView();
piwikTracker.enableLinkTracking();
} catch( err ) {}
</script><noscript><p><img src="http://www.ryxeo.com/stats/piwik.php?idsite=12" style="border:0" alt="" /></p></noscript>
<!-- End Piwik Tracking Code -->
<?php endif; ?>
  </body>
</html>
