<?php
/** 
 * Author: Thomas GILBERT <thomas.gilbert@ryxeo.com>
 * Date: 2011
 * Version: 1.0
 * @licence Affero GPL 3
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class tbl_groupeTable extends Plugintbl_groupeTable
{
    public static function getInstance()
    {
        return Doctrine_Core::getTable('tbl_groupe');
    }
    public function getListGroupe() {
      $oUser = sfContext::getInstance()->getUser();
      $query = $this->createQuery('g');
      $nDomaine =  $oUser->getDomaine();
      if ($oUser->hasCredential('admin')) {
      } else {
        $query->where('g.id_domaine = ?', $nDomaine);
      }
      $query->execute();
      return $query;
    }
    public function getListGroupByRespEnfant($pnIdResp) {
        $oQuery = $this->createQuery('g');
        $oQuery->leftJoin('g.tbl_groupeuser gu');
        $oQuery->where("titre like '".sfConfig::get('app_prefixe_resp_legal')."%'");
        $oQuery->andWhere('gu.id_sfguarduser = ?', $pnIdResp); 
        return $oQuery;
    }
}