<?php

/**
 * sfGuardFormSignin for sfGuardAuth signin action
 *
 * @package    sfDoctrineGuardPlugin
 * @subpackage form
 * @author     Fabien Potencier <fabien.potencier@symfony-project.com>
 * @version    SVN: $Id: sfGuardFormSignin.class.php 23536 2009-11-02 21:41:21Z Kris.Wallsmith $
 */
class sfGuardFormSignin extends BasesfGuardFormSignin
{
  public function __construct(sfDoctrineRecord $object = null, $options = array(), $CSRFSecret = null)
  {
    parent::__construct($object, $options, false);
  }
  /**
   * @see sfForm
   */
  public function configure()
  {
    parent::configure();
    /*$this->widgetSchema['domaine'] = new sfWidgetFormDoctrineChoice(array('model' => 'tbl_domaine', 'add_empty' => true));
    $this->validatorSchema['domaine'] = new sfValidatorDoctrineChoice(array('model' => 'tbl_domaine', 'required' => false));    */
    
    $this->validatorSchema['username'] = new sfValidatorString(array('required' => true),
                                                               array('required' => 'Identifiants requis.'));
    $this->validatorSchema['password'] = new sfValidatorString(array('required' => true),
                                                               array('required' => 'Mot de passe requis.'));  
    $this->widgetSchema['domaine'] = new sfWidgetFormDoctrineJQueryAutocompleter(array(
                                         "model" => "tbl_domaine",
                                         "url"   => sfContext::getInstance()->getController()->genUrl('@ajax_getEtabs'),
                                       ));
    $this->validatorSchema['domaine'] = new sfValidatorDoctrineChoice(array('model' => 'tbl_domaine', 'required' => false));   
    $this->widgetSchema->setLabels(array('password' => 'Mot de passe', 'username' => 'Identifiant', 'remember' => 'Se souvenir', 'domaine' => 'Etablissement'));
    $this->widgetSchema->setPositions(array('username', 'password', 'domaine', 'remember'));
    
  }
}
