<?php use_javascript('/sfFormExtraPlugin/js/jquery.autocompleter.js') ?>
<?php use_stylesheet('/sfFormExtraPlugin/css/jquery.autocompleter.css') ?>
<?php use_stylesheet('formulaire_connexion.css') ?>
<div class="abu_logo">
    <?php echo image_tag('logo.png') ?>
</div>
<div class="abu_form">
    <form action="<?php echo url_for('@sf_guard_signin') ?>" method="post"  id="myform">
    <ul class='formRegister'>
	<?php if ($form->hasGlobalErrors()): ?>
	    <?php foreach ($form->getGlobalErrors() as $name => $error): ?>
	        <li class='error'><?php echo $error ?></li>
	    <?php endforeach; ?>
	<?php endif; ?>

        <?php foreach ($form as $widget): ?>

        <?php if (!$widget->isHidden()) { ?>
         <li>
             <div class="abu_ligne_form">
                <?php if ($widget->hasError()): ?>
                   <span class="abu_form_span_error" title="<?php echo $widget->getError(); ?>"><?php echo $widget->getError(); ?></span>
                <?php endif; ?>
                <span class="abu_form_span">
                  <?php echo $widget->renderLabel(); ?>
                </span>
                <span class="abu_form_span_render">
                  <?php echo $widget->render() ?>
                </span>
                <?php if ($widget->renderHelp()): ?>
                  <div class="abu_form_span_help" ><?php echo str_replace ("<br />", "", $widget->renderHelp()); ?></div>
                <?php endif; ?>
             </div>
         </li>
         <?php } else { ?>
                <li style="height: 1px;"><?php echo $widget->render() ?></li>

         <?php } ?>
        <?php endforeach; ?>

        <li>
          <div class="abu_btn_center">
          <input type="submit" value="Se connecter" class='abu_icone_connecter_button abu_button' />
          </div>
        </li>
    </ul>

</form>

</div>