<?php
use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<script type="text/javascript">
    $(document).ready(function() { 
        $('#myform').submit(function() { 
          $(this).ajaxSubmit({
            beforeSubmit: function() {
                return true;
            },
            dataType: "json",
            success: function(data) {
                alert(data.Msg);
                if (data.IsSuccess) {
                    $("#abu_agenda_overlay_new").overlay().close(); 
                    $("#gridcontainer").reload();
                }
            }
            }); 
          return false; 
        });   
    });
    $("#AbuSavebtn").click(function () {
        $('#myform').submit(); 
    }); 
    $("#AbuDeletebtn").click(function () {
      if (confirm(i18n.xgcalendar.confirm_delete_event + "?")) {
          if ($('#ks_wc_event_id').val() != "") {          
              $.ajax({
                   type: "POST",
                   url: "<?php echo url_for('agenda/deleteEventAjax') ?>",
                   dataType: "json",
                   data: 'id='+$('#ks_wc_event_id').val(),
                   async: false,
                   success: function(sData){
                     $("#abu_agenda_overlay_new").overlay().close();
                     $("#gridcontainer").reload();
                   },
                   error: function (sData) {
                       alert('Error server');
                   }
              }); 
          }
      }
    });
    $("#AbuClosebtn").click(function () {
       $("#abu_agenda_overlay_new").overlay().close();
    });
</script>
<div class="abu_form">
<form id="myform"  action="<?php echo url_for('agenda/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?id='.$form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?> >
<?php echo $form->renderHiddenFields(false) ?>
<?php if (!$form->getObject()->isNew()): ?>
<input type="hidden" name="sf_method" value="put" />
<?php endif; ?>
    <ul class='formRegister'>
	<?php if ($form->hasGlobalErrors()): ?>
	    <?php foreach ($form->getGlobalErrors() as $name => $error): ?>
	        <li class='error'><?php echo $error ?></li>
	    <?php endforeach; ?>
	<?php endif; ?>
        <?php foreach ($form as $widget): ?>
        <?php if (!$widget->isHidden()) { ?>
         <li>
             <div class="abu_ligne_form">
                <?php if ($widget->hasError()): ?>
                   <span class="abu_form_span_error" title="<?php echo $widget->getError(); ?>"><?php echo $widget->getError(); ?></span>
                <?php endif; ?>
                <span class="abu_form_span">
                  <?php echo $widget->renderLabel(); ?>
                </span>
                <span class="abu_form_span_render">
                  <?php echo $widget->render() ?>
                </span>
                <?php if ($widget->renderHelp()): ?>
                  <div class="abu_form_span_help" ><?php echo str_replace ("<br />", "", $widget->renderHelp()); ?></div>
                <?php endif; ?>
             </div>
         </li>
         <?php } else { ?>
                <li style="height: 1px;"><?php echo $widget->render() ?></li>
         <?php } ?>
        <?php endforeach; ?>
    </ul>
    <div class="overlay_actions">
        <a id="AbuSavebtn"  class="abu_icone_overlay_valider_button"> Enregistrer </a>                        
        <a id="AbuDeletebtn" class="abu_icone_overlay_supprimer_button"> Supprimer </a>
    </div>            
</form>
</div>